
global = {
  \compressFullBarRests
}


% easy replacement for non standard clefs
clefS = \clef "treble"
clefA = \clef "treble"
clefT = \clef "G_8"
clefB = \clef "bass"
clefVaII = \clef "alto"

settingsHornFI = \with {
  instrumentName = "Horn I"
  midiInstrument = "french horn"
  shortInstrumentName = "H I"
}
settingsHornFII = \with {
  instrumentName = "Horn II"
  midiInstrument = "french horn"
  shortInstrumentName = "H II"
}
settingsViolinI = \with {
  instrumentName = "Violine I"
  midiInstrument = "violin"
  shortInstrumentName = "V I"
}
settingsViolinII = \with {
  instrumentName = "Violine II"
  midiInstrument = "violin"
  shortInstrumentName = "V II"
}
settingsViolaI = \with {
  instrumentName = "Viola I"
  midiInstrument = "viola"
  shortInstrumentName = "Va I"
}
settingsViolaII = \with {
  instrumentName = "Viola II"
  midiInstrument = "viola"
  shortInstrumentName = "Va II"
}
settingsSoprano = \with {
    midiInstrument = "flute"
    instrumentName = "Soprano"
    shortInstrumentName = "S"
}

settingsSopranoI = \with {
    midiInstrument = "flute"
    instrumentName = "Soprano I"
    shortInstrumentName = "S I"
}

settingsSopranoII = \with {
    midiInstrument = "flute"
    instrumentName = "Soprano II"
    shortInstrumentName = "S II"
}

settingsAlto = \with {
    midiInstrument = "flute"
    instrumentName = "Alto"
    shortInstrumentName = "A"
  }
settingsTenor = \with {
    midiInstrument = "flute"
    instrumentName = "Tenor"
    shortInstrumentName = "T"
  }
settingsBass = \with {
    midiInstrument = "flute"
    instrumentName = "Bass"
    shortInstrumentName = "B"
  }
settingsBassoContinuo = \with {
  instrumentName = "Continuo"
  midiInstrument = "cello"
}


% formatage du numero de pièce
#(define-markup-command (formatPH layout props num)
              (number?)
              (let ((txt (markup (string-append (number->string num) "."))))
              (interpret-markup layout props
                #{ \markup { \fontsize #4 \bold #txt } #}
              )))